Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.portlets.struts
Class WpsStrutsViewJspCommand

    java.lang.Object
      com.ibm.wps.portlets.struts.WpsStrutsViewCommand
          com.ibm.wps.portlets.struts.WpsStrutsViewJspCommand

All Implemented Interfaces:
  IViewCommand, java.io.Serializable

Direct Known Subclasses:
  WpsStrutsViewTilesCommand

    public class WpsStrutsViewJspCommand

extends WpsStrutsViewCommand

The `WpsStrutsViewJspCommand` class is a command-pattern class used to provide a mechanism to encapsulate the information needed to redisplay a view for dynamic content like JSPs.

Since:
  4.1
See Also:
  Serialized Form

Field Summary
`protected static java.lang.String` | `QUERY` Name of the request attribute for the query string.
`protected static java.lang.String` | `URI` Name of the request attribute for the URI string.

Fields inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`LAST_MODIFIED, PREFIX`

Constructor Summary
`WpsStrutsViewJspCommand()` Default construtor for WpsStrutsViewJspCommand.
`WpsStrutsViewJspCommand(java.lang.String uri, PortletRequest request)` Constructs the View command.

Method Summary
`static void` | `addAttributeNameToSave(java.lang.String attributeName)` Adds the name of an attribute from the object request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.
`static void` | `addAttributeTypeToSave(java.lang.Class attributeType)` Adds the class type of an attribute from the request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.
`protected void` | `addQueryParameters(java.lang.String query, PortletRequest request)` Adds the query parameters to the request object.
`void` | `execute(PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Executes the given command given the request and response objects.
`java.lang.String` | `getQueryString(PortletRequest request)` Returns the query string.
`java.lang.String` | `getUri(PortletRequest request)` Returns the URI.
`protected void` | `includeURL(java.lang.String uri, PortletRequest request, PortletResponse response, ViewCommandExecutionContext executionContext)` Includes the URL.
`static void` | `removeAttributeNameToSave(java.lang.String attributeName)` Removes the name of an attribute from the list of attribute names to save.
`static void` | `removeAttributeTypeToSave(java.lang.Class attributeType)` Removes the class type of the request attribute from the list of attributes to save.
`void` | `saveAttributes(HttpServletRequest request, ViewCommandExecutionContext executionContext)` Saves the attributes related to JSP rendering.
`void` | `setQueryString(PortletRequest request, java.lang.String query)` Sets the query string.
`void` | `setUri(PortletRequest request, java.lang.String uri)` Sets the URI to include.

Methods inherited from class com.ibm.wps.portlets.struts.WpsStrutsViewCommand
`addAttribute, addParameterNameToSave, execute, getLastModified, getPrefix, getRemoveOnModeChange, getSavedAttributes, getSavedCommand, removeAttribute, removeParameterNameToSave, repopulateRequest, saveAsAttribute, saveAsParameter, saveAttribute, saveAttributes, saveCommand, saveCommand, saveParameter, saveParameters, setLastModified, setPrefix, setRemoveOnModeChange, setSavedAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URI

    protected static final java.lang.String URI

  Name of the request attribute for the URI string.

  See Also:
    Constant Field Values

### QUERY

    protected static final java.lang.String QUERY

  Name of the request attribute for the query string.

  See Also:
    Constant Field Values

Constructor Detail

### WpsStrutsViewJspCommand

    public WpsStrutsViewJspCommand()

  Default construtor for WpsStrutsViewJspCommand. Use setURI if this constructor is used.

### WpsStrutsViewJspCommand

    public WpsStrutsViewJspCommand(java.lang.String uri,
                                   PortletRequest request)

  Constructs the View command.

  Parameters:
    `uri` - the uri path to the JSP
    `request` - The request object to save context information from

Method Detail

### execute

    public void execute(PortletRequest request,
                        PortletResponse response,
                        ViewCommandExecutionContext executionContext)
                 throws PortletException

  Executes the given command given the request and response objects.

  Specified by:
    `execute` in interface `IViewCommand`
  Overrides:
    `execute` in class `WpsStrutsViewCommand`
  Parameters:
    `request` - The request object
    `response` - The response object
    `executionContext` - the execution context object
  Throws:
    `PortletException` - if the request cannot be fulfilled

### includeURL

    protected void includeURL(java.lang.String uri,
                              PortletRequest request,
                              PortletResponse response,
                              ViewCommandExecutionContext executionContext)
                       throws PortletException

  Includes the URL.

  Parameters:
    `uri` - the uri to include
    `request` - the request object
    `response` - the reponse object
    `executionContext` - the execution context
  Throws:
    `PortletException` - if the file cannot be included

### addQueryParameters

    protected void addQueryParameters(java.lang.String query,
                                      PortletRequest request)

  Adds the query parameters to the request object. Expects the query parameters in the form ?param=valu

  Parameters:
    `query` - the query string
    `request` - the request object

### saveAttributes

    public void saveAttributes(HttpServletRequest request,
                               ViewCommandExecutionContext executionContext)

  Saves the attributes related to JSP rendering.

  Overrides:
    `saveAttributes` in class `WpsStrutsViewCommand`
  Parameters:
    `request` - the request object
    `executionContext` - the context object

### getQueryString

    public java.lang.String getQueryString(PortletRequest request)

  Returns the query string.

  Parameters:
    `request` - the portlet request object
  Returns:
    returns the query string

### setQueryString

    public void setQueryString(PortletRequest request,
                               java.lang.String query)

  Sets the query string.

  Parameters:
    `request` - the portlet request object
    `query` - the query string

### getUri

    public java.lang.String getUri(PortletRequest request)

  Returns the URI.

  Parameters:
    `request` - the portlet request object
  Returns:
    returns the uri to include

### setUri

    public void setUri(PortletRequest request,
                       java.lang.String uri)

  Sets the URI to include.

  Parameters:
    `request` - the portlet request object
    `uri` - the uri to include

### addAttributeNameToSave

    public static void addAttributeNameToSave(java.lang.String attributeName)

  Adds the name of an attribute from the object request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.

  Parameters:
    `attributeName` - the name of the attribute to save

### removeAttributeNameToSave

    public static void removeAttributeNameToSave(java.lang.String attributeName)

  Removes the name of an attribute from the list of attribute names to save.

  Parameters:
    `attributeName` - the name of the attribute to remove

### addAttributeTypeToSave

    public static void addAttributeTypeToSave(java.lang.Class attributeType)

  Adds the class type of an attribute from the request that needs to be saved if present for the execution of the IViewCommand in Portal's render phase.

  Parameters:
    `attributeType` - the attribute type to save

### removeAttributeTypeToSave

    public static void removeAttributeTypeToSave(java.lang.Class attributeType)

  Removes the class type of the request attribute from the list of attributes to save.

  Parameters:
    `attributeType` - the attribute type to remove

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD